Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update OpenSSL to 1.1.0h / 1.0.2o #77365

Closed
ned-deily opened this issue Mar 30, 2018 · 12 comments
Closed

Update OpenSSL to 1.1.0h / 1.0.2o #77365

ned-deily opened this issue Mar 30, 2018 · 12 comments
Labels
3.7 only security fixes 3.8 only security fixes deferred-blocker

Comments

@ned-deily
Copy link
Member

BPO 33184
Nosy @tiran, @ned-deily, @zware, @zooba, @lisroach, @miss-islington
PRs
  • bpo-33184: Update macOS installer build to use OpenSSL 1.1.0h. #6407
  • [3.6] bpo-33184: Update macOS installer build to use OpenSSL 1.0.2o. #6408
  • [3.7] bpo-33184: Update macOS installer build to use OpenSSL 1.1.0h. (GH-6407) #6409
  • bpo-33184 Update Windows installer to OpenSSL 1.1.0h #6463
  • bpo-33184 Update Windows installer to OpenSSL 1.0.2o #6464
  • [3.7] bpo-33184: Update Windows installer to OpenSSL 1.1.0h (GH-6463) #6468
  • [2.7] bpo-33184: Update macOS installer build to use OpenSSL 1.0.2o. (GH-6408) #6471
  • bpo-33184: Update Windows build to use OpenSSL 1.0.2o (GH-6464) #6474
  • Note: these values reflect the state of the issue at the time it was migrated and might not reflect the current state.

    Show more details

    GitHub fields:

    assignee = None
    closed_at = <Date 2018-04-14.22:44:24.897>
    created_at = <Date 2018-03-30.02:11:58.496>
    labels = ['deferred-blocker', '3.7', '3.8']
    title = 'Update OpenSSL to 1.1.0h / 1.0.2o'
    updated_at = <Date 2018-04-14.22:44:24.896>
    user = 'https://github.com/ned-deily'

    bugs.python.org fields:

    activity = <Date 2018-04-14.22:44:24.896>
    actor = 'steve.dower'
    assignee = 'none'
    closed = True
    closed_date = <Date 2018-04-14.22:44:24.897>
    closer = 'steve.dower'
    components = []
    creation = <Date 2018-03-30.02:11:58.496>
    creator = 'ned.deily'
    dependencies = []
    files = []
    hgrepos = []
    issue_num = 33184
    keywords = ['patch']
    message_count = 12.0
    messages = ['314675', '314965', '314966', '315064', '315065', '315066', '315278', '315279', '315281', '315282', '315296', '315307']
    nosy_count = 6.0
    nosy_names = ['christian.heimes', 'ned.deily', 'zach.ware', 'steve.dower', 'lisroach', 'miss-islington']
    pr_nums = ['6407', '6408', '6409', '6463', '6464', '6468', '6471', '6474']
    priority = 'deferred blocker'
    resolution = 'fixed'
    stage = 'resolved'
    status = 'closed'
    superseder = None
    type = None
    url = 'https://bugs.python.org/issue33184'
    versions = ['Python 2.7', 'Python 3.6', 'Python 3.7', 'Python 3.8']

    @ned-deily
    Copy link
    Member Author

    @ned-deily ned-deily added 3.7 only security fixes 3.8 only security fixes deferred-blocker labels Mar 30, 2018
    @lisroach
    Copy link
    Contributor

    lisroach commented Apr 5, 2018

    I'd like to help out with this, I see Christian is already providing a lot of compatibility for the latest versions of OpenSSL. What needs to be done for the update?

    @ned-deily
    Copy link
    Member Author

    Lisa, thanks for the offer but there's nothing much to be done. It's just a reminder to Steve Dower for the Windows installer and to me for the macOS installer to update the respective installer build automation prior to the next releases.

    @ned-deily
    Copy link
    Member Author

    New changeset b405752 by Ned Deily in branch 'master':
    bpo-33184: Update macOS installer build to use OpenSSL 1.1.0h. (GH-6407)
    b405752

    @ned-deily
    Copy link
    Member Author

    New changeset 12d1dcd by Ned Deily (Miss Islington (bot)) in branch '3.7':
    bpo-33184: Update macOS installer build to use OpenSSL 1.1.0h. (GH-6407) (GH-6409)
    12d1dcd

    @ned-deily
    Copy link
    Member Author

    New changeset 76215a4 by Ned Deily in branch '3.6':
    bpo-33184: Update macOS installer build to use OpenSSL 1.0.2o. (GH-6408)
    76215a4

    @zooba
    Copy link
    Member

    zooba commented Apr 14, 2018

    New changeset b1dc075 by Steve Dower in branch 'master':
    bpo-33184: Update Windows installer to OpenSSL 1.1.0h (GH-6463)
    b1dc075

    @zooba
    Copy link
    Member

    zooba commented Apr 14, 2018

    New changeset 1672c2f by Steve Dower in branch '3.6':
    bpo-33184: Update Windows installer to OpenSSL 1.0.2o (GH-6464)
    1672c2f

    @miss-islington
    Copy link
    Contributor

    New changeset df958ff by Miss Islington (bot) in branch '3.7':
    bpo-33184: Update Windows installer to OpenSSL 1.1.0h (GH-6463)
    df958ff

    @zooba zooba closed this as completed Apr 14, 2018
    @ned-deily
    Copy link
    Member Author

    Steve, what about 2.7 for 2.7.15rc1?
    (I'm working on that for the Mac installer now.)

    @ned-deily ned-deily reopened this Apr 14, 2018
    @ned-deily
    Copy link
    Member Author

    New changeset 01a0fd4 by Ned Deily (Miss Islington (bot)) in branch '2.7':
    [2.7] bpo-33184: Update macOS installer build to use OpenSSL 1.0.2o. (GH-6408) (GH-6471)
    01a0fd4

    @zooba
    Copy link
    Member

    zooba commented Apr 14, 2018

    The 2.7 backport was merged by Benjamin into his release branch, which is why the PR shows "closed".

    @zooba zooba closed this as completed Apr 14, 2018
    @ezio-melotti ezio-melotti transferred this issue from another repository Apr 10, 2022
    Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
    Labels
    3.7 only security fixes 3.8 only security fixes deferred-blocker
    Projects
    None yet
    Development

    No branches or pull requests

    4 participants